Bug 62402 - errors from cerberus?
Summary: errors from cerberus?
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: binutils (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-31 04:44 UTC by Chris Ricker
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 13:04:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Ricker 2002-03-31 04:44:42 UTC
When I compile the cerberus srpm <http://people.redhat.com/bmatthews/cerberus/>
on beta 3, I get a lot of warnings like:

<snip>
+ /usr/lib/rpm/brp-strip-comment-note
BFD: /var/tmp/cerberus-broot/usr/bin/ctcs/runin/bin/burnP6: warning: Empty
loadable segment detected

BFD: /var/tmp/cerberus-broot/usr/bin/ctcs/runin/bin/burnMMX: warning: Empty
loadable segment detected

BFD: /var/tmp/cerberus-broot/usr/bin/ctcs/runin/bin/burnK6: warning: Empty
loadable segment detected

BFD: /var/tmp/cerberus-broot/usr/bin/ctcs/runin/bin/burnP5: warning: Empty
loadable segment detected

BFD: Error: First section in segment (.bss) starts at 0x8049180 whereas the
segment starts at 0x8049170
strip: /var/tmp/cerberus-broot/usr/bin/ctcs/runin/bin/st6EGlQO: No such file or
directory
BFD: Error: First section in segment (.bss) starts at 0x8049180 whereas the
segment starts at 0x8049170
strip: /var/tmp/cerberus-broot/usr/bin/ctcs/runin/bin/st6EGlQO: No such file or
directory
BFD: /var/tmp/cerberus-broot/usr/bin/ctcs/runin/src/cpuburn-1.2/burnP6: warning:
Empty loadable segment detected

BFD: /var/tmp/cerberus-broot/usr/bin/ctcs/runin/src/cpuburn-1.2/burnMMX:
warning: Empty loadable segment detected

BFD: /var/tmp/cerberus-broot/usr/bin/ctcs/runin/src/cpuburn-1.2/burnK6: warning:
Empty loadable segment detected

BFD: /var/tmp/cerberus-broot/usr/bin/ctcs/runin/src/cpuburn-1.2/burnP5: warning:
Empty loadable segment detected

BFD: Error: First section in segment (.bss) starts at 0x8049180 whereas the
segment starts at 0x8049170
strip: /var/tmp/cerberus-broot/usr/bin/ctcs/runin/src/cpuburn-1.2/stuRPlij: No
such file or directory
BFD: Error: First section in segment (.bss) starts at 0x8049180 whereas the
segment starts at 0x8049170

I'm not sure if these messages are a bug in the tool chain, or in the code being
compiled.  I don't recall seeing anything similar when compiling cerberus on
7.2, though.

Comment 1 Jakub Jelinek 2004-10-07 13:04:44 UTC
Current strip doesn't warn about the empty loadable segments etc.


Note You need to log in before you can comment on or make changes to this bug.